io.vertx.core.logging

## Class LoggerFactory

- java.lang.Object
- - io.vertx.core.logging.LoggerFactory

- Deprecated.
  see https://github.com/eclipse-vertx/vert.x/issues/2774

      public class LoggerFactory
      extends Object

  Author:
    Tim Fox

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `LOGGER_DELEGATE_FACTORY_CLASS_NAME` Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LoggerFactory()` Deprecated.

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Logger` | `getLogger(Class<?> clazz)` Deprecated. see https://github.com/eclipse-vertx/vert.x/issues/2774
    `static Logger` | `getLogger(String name)` Deprecated. see https://github.com/eclipse-vertx/vert.x/issues/2774
    `static void` | `initialise()` Deprecated.
    `static void` | `removeLogger(String name)` Deprecated. see https://github.com/eclipse-vertx/vert.x/issues/2774

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### LOGGER_DELEGATE_FACTORY_CLASS_NAME

          public static final String LOGGER_DELEGATE_FACTORY_CLASS_NAME

      Deprecated.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### LoggerFactory

          public LoggerFactory()

      Deprecated.

  - ### Method Detail

    - #### initialise

          public static void initialise()

      Deprecated.

    - #### getLogger

          @Deprecated
          public static Logger getLogger(Class<?> clazz)

      Deprecated. see https://github.com/eclipse-vertx/vert.x/issues/2774

    - #### getLogger

          @Deprecated
          public static Logger getLogger(String name)

      Deprecated. see https://github.com/eclipse-vertx/vert.x/issues/2774

    - #### removeLogger

          @Deprecated
          public static void removeLogger(String name)

      Deprecated. see https://github.com/eclipse-vertx/vert.x/issues/2774

Copyright © 2022 Eclipse. All rights reserved.